Closed Bug 1339790 Opened 3 years ago Closed 3 years ago

Upgrade Firefox 53 to NSS 3.29.1 to fix binary compatibility issues

Categories

(Core :: Security: PSM, defect, P1)

53 Branch
defect

Tracking

()

RESOLVED FIXED
mozilla54
Tracking Status
firefox51 --- unaffected
firefox52 --- unaffected
firefox53 --- fixed

People

(Reporter: KaiE, Assigned: KaiE)

References

Details

(Whiteboard: [psm-assigned])

Attachments

(2 files)

This is the Firefox 53 version of bug 1339789, please read the summary over there.

I suggest to upgrade Firefox 53 to NSS 3.29, which is a small patch on top of NSS 3.29, to restore binary compatibility.
setting ff51, ff52 to unaffected, because those are handled in bug 1339789

ff54 will be fixed with the next nightly merge on m-c
Depends on: 1334108
We found an additional issue with NSS 3.28, bug 1340103.
We're trying to get this resolved ASAP.
Depends on: 1340103
Assignee: nobody → kaie
Priority: -- → P1
Whiteboard: [psm-assigned]
NSS 3.29.1 has been released.

Aurora try build with NSS 3.29.1:
https://treeherder.mozilla.org/#/jobs?repo=try&revision=66cdbe4c5e3e8978a69ce98ac5558c368c323a36
Summary: Upgrade Firefox 53 to NSS 3.29.1 to fix a binary compatibility issue → Upgrade Firefox 53 to NSS 3.29.1 to fix binary compatibility issues
Attached file update-to-3.29.1.txt
The try builds look good to me.

I think it's safe to pick up these two correctness fixes, which have been released as 3.29.1

(Identical story as in bug 1339789 for beta ff 52.)
Comment on attachment 8839164 [details]
update-to-3.29.1.txt

[Feature/Bug causing the regression]:
nss 3.28 release, bug 957105

[User impact if declined]:
shipping ABI incompatible NSS into enterprise deployments

[Is this code covered by automated tests?]:
yes

[Has the fix been verified in Nightly?]:
only in nightly NSS tests, not yet in nightly ff

[Needs manual test from QE? If yes, steps to reproduce]: 
no

[List of other uplifts needed for the feature/fix]:
nothing else

[Is the change risky?]:
no

[Why is the change risky/not risky?]:
Passes all tests of both NSS and Firefox.

[String changes made/needed]:
none
Attachment #8839164 - Flags: approval-mozilla-aurora?
This is functionally equivalent to the change we already made for the mozilla-beta branch in bug 1339789.

Could you please consider to approve?
Comment on attachment 8839164 [details]
update-to-3.29.1.txt

fix ABI issue for nss in aurora53
Attachment #8839164 - Flags: approval-mozilla-aurora? → approval-mozilla-aurora+
Target Milestone: --- → mozilla54
You need to log in before you can comment on or make changes to this bug.